Catalog Webhooks
List Webhooks
List all webhook subscriptions for your catalog
GET
/
catalog
/
webhooks
const { webhooks } = await lasso.catalog.webhooks.list();
result = client.catalog.webhooks.list()
curl -X GET "https://hub.banditshq.com/api/v1/catalog/webhooks" \
-H "Authorization: Bearer lasso_..."
{
"webhooks": [
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated"],
"enabled": true,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-20T08:00:00Z"
}
]
}
Retrieve all webhook endpoint subscriptions configured for your company’s catalog events.
Array of webhook subscription objects.
const { webhooks } = await lasso.catalog.webhooks.list();
result = client.catalog.webhooks.list()
curl -X GET "https://hub.banditshq.com/api/v1/catalog/webhooks" \
-H "Authorization: Bearer lasso_..."
{
"webhooks": [
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated"],
"enabled": true,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-20T08:00:00Z"
}
]
}
⌘I
const { webhooks } = await lasso.catalog.webhooks.list();
result = client.catalog.webhooks.list()
curl -X GET "https://hub.banditshq.com/api/v1/catalog/webhooks" \
-H "Authorization: Bearer lasso_..."
{
"webhooks": [
{
"id": "wh_abc123...",
"url": "https://example.com/webhook",
"events": ["product.created", "product.updated"],
"enabled": true,
"description": "Sync to ERP",
"created_at": "2026-05-20T08:00:00Z",
"updated_at": "2026-05-20T08:00:00Z"
}
]
}

